Skip to content
df276c6
Compare
Choose a tag to compare

Enhancements

  • This plugin now emits relevant publishing metrics.

    Contributed by @gomoripeti (CloudAMQP)

    GitHub issue: #197

  • More accommodating type conversion for delay header values.

    Contributed by @Unknovvn.

    GitHub issue: #198

a8ae5cb
Compare
Choose a tag to compare

This release has no functional changes but lists RabbitMQ 3.10.x as supported in plugin metadata.

afff5ed
Compare
Choose a tag to compare

This release has no changes except for its metadata that lists RabbitMQ 3.9.0 (and future 3.9.x releases) as supported.

8f537ac
Compare
Choose a tag to compare

3.8.17

This release targets RabbitMQ 3.8.16 and later versions.

This release requires Erlang 23.2 or a later version, and supports Erlang 24.

Enhancements

0199d11
Compare
Choose a tag to compare

This release targets RabbitMQ 3.8.9 or later versions.

Bug Fixes

Bindings are Now Recovered with RabbitMQ 3.8.5+ on Node Restart

Bindings are now recovered on node boot in a way that's compatible with latest RabbitMQ
releases.

GitHub issue: #149.

v3.8.0
fcea041
Compare
Choose a tag to compare

This release has been superseded by v3.8.9

rabbitmq-delayed-message-exchange build that is compatible with these RabbitMQ versions:

  • 3.8.x up to 3.8.4
  • 3.7.x